package com.zjrs.ggfw.rlzysc.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName(value = "v_rs_rlzy_msgl")
public class VRsRlzyMsglPO {
    @TableId(value = "rs_rlzy_msgl_lsh",type = IdType.ASSIGN_UUID)
    @TableField(value = "rs_rlzy_msgl_lsh")
    private String rsrlzymsgllsh;//面试管理流水号
    @TableField(value = "rs_rlzy_qyxx_lsh")
    private String rsrlzyqyxxlsh;//企业信息流水号
    @TableField(value = "rs_rlzy_gwxx_lsh")
    private String rsrlzygwxxlsh;//岗位信息流水号
    @TableField(value = "rs_rlzy_jlxx_lsh")
    private String rsrlzyjlxxlsh;//简历信息流水号
    private String msrq;//面试日期
    private String kssj;//开始时间
    private String jssj;//结束时间
    private String mszt;//面试状态
    private String msdd;//面试地点
    private String mssm;//面试说明
    private String sfksms;//是否开始面试
    private String msfjhm;//面试房间号码
    private String msyqlx;//面试邀请类型, 1是简历管理  2是收藏
    @TableField(value = "rs_rlzy_ts_lsh")
    private String rsrlzytslsh;//特殊流水号, 记录收藏流水号等信息
    @TableField(value = "ts_cjr")
    private String tscjr;//创建人
    @TableField(value = "ts_cjsj")
    private String tscjsj;//创建时间
    @TableField(value = "ts_xgr")
    private String tsxgr;//修改人
    @TableField(value = "ts_xgsj")
    private String tsxgsj;//修改时间
    private String msjg;//面试结果
    @TableField(value = "jwt_token")
    private String jwtToken;    // 面试间token
    public String getRsrlzymsgllsh() {
        return rsrlzymsgllsh;
    }

    public void setRsrlzymsgllsh(String rsrlzymsgllsh) {
        this.rsrlzymsgllsh = rsrlzymsgllsh;
    }

    public String getRsrlzyqyxxlsh() {
        return rsrlzyqyxxlsh;
    }

    public void setRsrlzyqyxxlsh(String rsrlzyqyxxlsh) {
        this.rsrlzyqyxxlsh = rsrlzyqyxxlsh;
    }

    public String getRsrlzygwxxlsh() {
        return rsrlzygwxxlsh;
    }

    public void setRsrlzygwxxlsh(String rsrlzygwxxlsh) {
        this.rsrlzygwxxlsh = rsrlzygwxxlsh;
    }

    public String getRsrlzyjlxxlsh() {
        return rsrlzyjlxxlsh;
    }

    public void setRsrlzyjlxxlsh(String rsrlzyjlxxlsh) {
        this.rsrlzyjlxxlsh = rsrlzyjlxxlsh;
    }

    public String getMsrq() {
        return msrq;
    }

    public void setMsrq(String msrq) {
        this.msrq = msrq;
    }

    public String getKssj() {
        return kssj;
    }

    public void setKssj(String kssj) {
        this.kssj = kssj;
    }

    public String getJssj() {
        return jssj;
    }

    public void setJssj(String jssj) {
        this.jssj = jssj;
    }

    public String getMszt() {
        return mszt;
    }

    public void setMszt(String mszt) {
        this.mszt = mszt;
    }

    public String getMsdd() {
        return msdd;
    }

    public void setMsdd(String msdd) {
        this.msdd = msdd;
    }

    public String getMssm() {
        return mssm;
    }

    public void setMssm(String mssm) {
        this.mssm = mssm;
    }

    public String getSfksms() {
        return sfksms;
    }

    public void setSfksms(String sfksms) {
        this.sfksms = sfksms;
    }

    public String getMsfjhm() {
        return msfjhm;
    }

    public void setMsfjhm(String msfjhm) {
        this.msfjhm = msfjhm;
    }

    public String getMsyqlx() {
        return msyqlx;
    }

    public void setMsyqlx(String msyqlx) {
        this.msyqlx = msyqlx;
    }

    public String getRsrlzytslsh() {
        return rsrlzytslsh;
    }

    public void setRsrlzytslsh(String rsrlzytslsh) {
        this.rsrlzytslsh = rsrlzytslsh;
    }

    public String getTscjr() {
        return tscjr;
    }

    public void setTscjr(String tscjr) {
        this.tscjr = tscjr;
    }

    public String getTscjsj() {
        return tscjsj;
    }

    public void setTscjsj(String tscjsj) {
        this.tscjsj = tscjsj;
    }

    public String getTsxgr() {
        return tsxgr;
    }

    public void setTsxgr(String tsxgr) {
        this.tsxgr = tsxgr;
    }

    public String getTsxgsj() {
        return tsxgsj;
    }

    public void setTsxgsj(String tsxgsj) {
        this.tsxgsj = tsxgsj;
    }

    public String getMsjg() {
        return msjg;
    }

    public void setMsjg(String msjg) {
        this.msjg = msjg;
    }

    public String getJwtToken() {
        return jwtToken;
    }

    public void setJwtToken(String jwtToken) {
        this.jwtToken = jwtToken;
    }
}


